## javanet.staxutils.events
Class EventFactory

    java.lang.Object
      javax.xml.stream.XMLEventFactory
          javanet.staxutils.events.BaseXMLEventFactory
              javanet.staxutils.events.EventFactory

    public class EventFactory

extends BaseXMLEventFactory

Factory for events within this package.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary

Fields inherited from class javanet.staxutils.events.BaseXMLEventFactory
`location`

Constructor Summary
`EventFactory()`

Method Summary
`Attribute` `createAttribute(QName name, String value, Location location, QName schemaType)`
`Characters` `createCData(String content, Location location, QName schemaType)`
`Characters` `createCharacters(String content, Location location, QName schemaType)`
`Comment` `createComment(String text, Location location)`
`DTD` `createDTD(String dtd, Location location)`
`EndDocument` `createEndDocument(Location location)`
`EndElement` `createEndElement(QName name, Iterator namespaces, Location location, QName schemaType)`
`EntityReference` `createEntityReference(String name, EntityDeclaration declaration, Location location)`
`Characters` `createIgnorableSpace(String content, Location location)`
`Namespace` `createNamespace(String prefix, String namespaceUri, Location location)`
`ProcessingInstruction` `createProcessingInstruction(String target, String data, Location location)`
`Characters` `createSpace(String content, Location location)`
`StartDocument` `createStartDocument(String encoding, String version, Boolean standalone, Location location, QName schemaType)`
`StartElement` `createStartElement(QName name, Iterator attributes, Iterator namespaces, NamespaceContext namespaceCtx, Location location, QName schemaType)`

Methods inherited from class javanet.staxutils.events.BaseXMLEventFactory

`createAttribute, createAttribute, createAttribute, createCData, createCharacters, createComment, createDTD, createEndDocument, createEndElement, createEndElement, createEndElement, createEntityReference, createIgnorableSpace, createNamespace, createNamespace, createProcessingInstruction, createSpace, createStartDocument, createStartDocument, createStartDocument, createStartDocument, createStartElement, createStartElement, createStartElement, createStartElement, setLocation`

Methods inherited from class javax.xml.stream.XMLEventFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventFactory

    public EventFactory()

Method Detail

### createAttribute

    public Attribute createAttribute(QName name,
                                     String value,
                                     Location location,
                                     QName schemaType)

  Specified by:
    `createAttribute` in class `BaseXMLEventFactory`

### createCData

    public Characters createCData(String content,
                                  Location location,
                                  QName schemaType)

  Specified by:
    `createCData` in class `BaseXMLEventFactory`

### createCharacters

    public Characters createCharacters(String content,
                                       Location location,
                                       QName schemaType)

  Specified by:
    `createCharacters` in class `BaseXMLEventFactory`

### createComment

    public Comment createComment(String text,
                                 Location location)

  Specified by:
    `createComment` in class `BaseXMLEventFactory`

### createDTD

    public DTD createDTD(String dtd,
                         Location location)

  Specified by:
    `createDTD` in class `BaseXMLEventFactory`

### createEndDocument

    public EndDocument createEndDocument(Location location)

  Specified by:
    `createEndDocument` in class `BaseXMLEventFactory`

### createEndElement

    public EndElement createEndElement(QName name,
                                       Iterator namespaces,
                                       Location location,
                                       QName schemaType)

  Specified by:
    `createEndElement` in class `BaseXMLEventFactory`

### createEntityReference

    public EntityReference createEntityReference(String name,
                                                 EntityDeclaration declaration,
                                                 Location location)

  Specified by:
    `createEntityReference` in class `BaseXMLEventFactory`

### createIgnorableSpace

    public Characters createIgnorableSpace(String content,
                                           Location location)

  Specified by:
    `createIgnorableSpace` in class `BaseXMLEventFactory`

### createNamespace

    public Namespace createNamespace(String prefix,
                                     String namespaceUri,
                                     Location location)

  Specified by:
    `createNamespace` in class `BaseXMLEventFactory`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data,
                                                             Location location)

  Specified by:
    `createProcessingInstruction` in class `BaseXMLEventFactory`

### createSpace

    public Characters createSpace(String content,
                                  Location location)

  Specified by:
    `createSpace` in class `BaseXMLEventFactory`

### createStartDocument

    public StartDocument createStartDocument(String encoding,
                                             String version,
                                             Boolean standalone,
                                             Location location,
                                             QName schemaType)

  Specified by:
    `createStartDocument` in class `BaseXMLEventFactory`

### createStartElement

    public StartElement createStartElement(QName name,
                                           Iterator attributes,
                                           Iterator namespaces,
                                           NamespaceContext namespaceCtx,
                                           Location location,
                                           QName schemaType)

  Specified by:
    `createStartElement` in class `BaseXMLEventFactory`